package edu.byu.cs240.bookclub.model;

public class Identifiable {

	public static final long INVALID_ID = -1;
	
	private long _id;

	protected Identifiable() {
		setID(INVALID_ID);
	}
	
	protected Identifiable(long id) {
		setID(id);
	}
	
	public long getID() {
		return _id;
	}
	
	public void setID(long id) {
		_id = id;
	}
	
	public boolean hasID() {
		return (_id != INVALID_ID);
	}
	
}
